---
document: modulemd
version: 2
data:
  name: container-tools
  stream: "3.0"
  version: 8060020220510121702
  context: 20125149
  arch: aarch64
  summary: Stable versions of podman 3.0, buildah 1.19, skopeo 1.2, runc, conmon,
    etc as well as dependencies such as container-selinux built and tested together,
    and supported as documented on the Application Stream lifecycle page.
  description: >-
    Stable versions of podman 3.0, buildah 1.19, skopeo 1.2, runc, conmon, CRIU, Udica,
    etc as well as dependencies such as container-selinux built and tested together.
    Released with RHEL 8.4 and supported for 24 months. During the support lifecycle,
    back ports of important, critical vulnerabilities (CVEs, RHSAs) and bug fixes
    (RHBAs) are provided to this stream, and versions do not move forward. For more
    information see: https://access.redhat.com/support/policy/updates/containertools
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      go-toolset: [rhel8]
      golang-ecosystem: [1.0]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://github.com/projectatomic
    documentation: https://projectatomic.io
    tracker: https://github.com/projectatomic
  profiles:
    common:
      rpms:
      - buildah
      - cockpit-podman
      - conmon
      - container-selinux
      - containernetworking-plugins
      - criu
      - crun
      - fuse-overlayfs
      - libslirp
      - podman
      - runc
      - skopeo
      - slirp4netns
      - toolbox
      - udica
  api:
    rpms:
    - buildah
    - conmon
    - container-selinux
    - containernetworking-plugins
    - containers-common
    - fuse-overlayfs
    - libslirp
    - podman
    - podman-docker
    - podman-manpages
    - podman-remote
    - runc
    - skopeo
    - slirp4netns
  buildopts:
    rpms:
      macros: >
        %_with_ignore_tests 1
  components:
    rpms:
      buildah:
        rationale: Primary component of this module
        ref: 047f00e2b3a3ea3af4347b6b56a55d28c8fb9991
        arches: [aarch64, i686, ppc64le, x86_64]
      cockpit-podman:
        rationale: Primary component of this module
        ref: c159762b122da537d805cc5bfd0a0fee73fd1937
        arches: [aarch64, i686, ppc64le, x86_64]
      conmon:
        rationale: Primary component of this module
        ref: 0158d6d043c98bc27c628d384e877cb5ea800a8e
        arches: [aarch64, i686, ppc64le, x86_64]
      container-selinux:
        rationale: Primary component of this module
        ref: 46af5b184abf67cc543f243aa2c4cbb2da9ce931
        arches: [aarch64, i686, ppc64le, x86_64]
      containernetworking-plugins:
        rationale: Primary component of this module
        ref: 9e6fadfdba0099baa3a681520419dac173e67efb
        arches: [aarch64, i686, ppc64le, x86_64]
      criu:
        rationale: Primary component of this module
        ref: 94a5f7a6a92fed928e0c06ca6d003dcd2417d76f
        arches: [aarch64, i686, ppc64le, x86_64]
      crun:
        rationale: Primary component of this module
        ref: 893de38dd70ae56a7c001d553b2c72ba09577d04
        arches: [aarch64, i686, ppc64le, x86_64]
      fuse-overlayfs:
        rationale: Primary component of this module
        ref: 7f9a1f7f40197dd6c32864b1b66e764f1ea6966f
        arches: [aarch64, i686, ppc64le, x86_64]
      libslirp:
        rationale: Primary component of this module
        ref: b4d30a562b51730984c02bb0accaefa694c69688
        buildorder: -1
        arches: [aarch64, i686, ppc64le, x86_64]
      oci-seccomp-bpf-hook:
        rationale: Primary component of this module
        ref: 54d3e99a10251b1a13e4b31444c46868d306204b
        arches: [aarch64, i686, ppc64le, x86_64]
      podman:
        rationale: Primary component of this module
        ref: 4ea28eb25b626e9f7796cddfcf7d885e4d3783ef
        arches: [aarch64, i686, ppc64le, x86_64]
      runc:
        rationale: Primary component of this module
        ref: 536cceef2a581a630708e84619f4a694b563a1fb
        arches: [aarch64, i686, ppc64le, x86_64]
      skopeo:
        rationale: Primary component of this module
        ref: d6e3d7f69ed2e0a77face3c039030e6fb6b369cb
        arches: [aarch64, i686, ppc64le, x86_64]
      slirp4netns:
        rationale: Primary component of this module
        ref: 9af8b7767e61590bad195b5d5ff4a6a595d70241
        arches: [aarch64, i686, ppc64le, x86_64]
      toolbox:
        rationale: Primary component of this module
        ref: 1eb104b0627df4e4c34e4cde75470d386aba9d1f
        arches: [aarch64, i686, ppc64le, x86_64]
      udica:
        rationale: Primary component of this module
        ref: 2e7d9b446268b9c5b6fd3814af5cc19ae56a63cd
        arches: [aarch64, i686, ppc64le, x86_64]
...
